import 'package:flutter/material.dart';
import 'package:google_maps_flutter/google_maps_flutter.dart';
import 'package:polyline_builder/src/polyline_builder.dart';

class PolylineBuilderDemo extends StatefulWidget {
  @override
  _PolylineBuilderDemoState createState() => _PolylineBuilderDemoState();
}

class _PolylineBuilderDemoState extends State<PolylineBuilderDemo> {
  final _initialPosition = const CameraPosition(
    target: LatLng(18.4844, -69.9242),
    zoom: 12.63242053,
  );

  GoogleMapController controller;

  @override
  void initState() {
    super.initState();

    PolylineBuilder.MAPBOX_ACCESS_TOKEN = "<MAPBOX ACCESS TOKEN HERE>";
  }

  @override
  Widget build(BuildContext context) => Builder(
        builder: (context) => Scaffold(
          body: PolylineBuilder(
            builder: (polyline) => GoogleMap(
                mapType: MapType.normal,
                initialCameraPosition: _initialPosition,
                polylines: polyline,
                onMapCreated: (controller) =>
                    setState(() => this.controller = controller)),
            from: LatLng(18.47790717495005, -69.96671598404646),
            to: LatLng(18.483361274620748, -69.87782824784517),
            // Used to fit polyline on map camera
            controller: this.controller,
          ),
        ),
      );
}
