import 'package:google_maps_flutter/google_maps_flutter.dart';
import 'package:polyline_builder/src/services/api_mapbox/polyline_list_service/models/polyline_list_response_model.dart';
import 'package:polyline_builder/src/services/api_mapbox/polyline_list_service/polyline_list_service.dart';

class PolylineProvider {
  static final PolylineListService _polylineService =
      PolylineListService.create();

  static Future<Set<Polyline>> getPolyline(LatLng from, LatLng to) async {
    final response = await _polylineService.getPolylines(
        from.longitude.toString(),
        from.latitude.toString(),
        to.longitude.toString(),
        to.latitude.toString(),
        'es',
        false,
        'polyline6',
        true);

    final PolylineListResponseModel polyline = response.body;

    return polyline.toGoogleMapPolylineSet();
  }
}
